Name:		hp-ixgbe
Version:	5.6.4
Release:	1
Group:		System/Kernel
Vendor:		Intel Corporation
URL:		http://www.intel.com/network/connectivity/products/server_adapters.htm.htm
Packager:	Hewlett-Packard Company
License:	GPL
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	Intel(R) 10GbE PCI Express Linux Network Driver for HP ProLiant systems

%define debug_package %{nil}

%if "%{_host_vendor}" == "redhat"
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%else
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%define install_mod_dir updates
%endif

%if "%{_host_vendor}" == "suse"
%if "%{_arch}" == "x86_64"
%{suse_kernel_module_package -x default smp xen kdump}
%else
%{suse_kernel_module_package -x default smp xen kdump bigsmp xenpae pae}
%endif
%endif

%if "%{_host_vendor}" == "redhat"
%{kernel_module_package -x debug kdump um}
%endif
%description
Intel(R) 10GbE PCI Express Linux Network Driver for HP ProLiant systems

%package KMP
Summary: Intel(R) 10GbE PCI Express Linux Network Driver for HP ProLiant systems
Group: System/Kernel

%description KMP
Intel(R) 10GbE PCI Express Linux Network Driver for HP ProLiant systems

%package doc
Summary: Documentation for the %{name} kernel module
Group: System/Kernel
%if "%{_host_vendor}" == "redhat"
Provides: %{name}-kmod-common = %{version}-%{release}
Requires: %{name}-kmod = %{version}-%{release}
%else
Provides: %{name}-kmp-common = %{version}-%{release}
Requires: %{name}-kmp = %{version}_%(uname -r | cut -d- -f1)_%(uname -r | cut -d- -f2)
%endif

%description doc
Documentation for the Intel(R) 10GbE PCI Express Linux Network Driver for HP ProLiant systems

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION="%version"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C $PWD/obj/$flavor/src KSRC=%{kernel_source $flavor}
done
gzip < source/ixgbe.7 > source/ixgbe.7.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir
for flavor in %flavors_to_build; do
	make -C $PWD/obj/$flavor/src KSRC=%{kernel_source $flavor} install
done
install -D -m 644 source/ixgbe.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/ixgbe.7.gz

%postun doc
if [ -f %{_mandir}/man7/ixgbe.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files doc
%defattr(-, root, root)
%{_mandir}/man7/ixgbe.7.gz
%doc source/COPYING source/README

%changelog
* Tue Oct 6 2009 - Intel Corporatino <linuxnics.intel.com>>%{version}-%{release}
- Initial package

